common: Check fs consistency on TEST_DEV only when needed
authorLukas Czerner <lczerner@redhat.com>
Wed, 13 Aug 2014 01:08:41 +0000 (11:08 +1000)
committerDave Chinner <david@fromorbit.com>
Wed, 13 Aug 2014 01:08:41 +0000 (11:08 +1000)
Currently we're checking file system consistency on TEST_DEV after every
successful test run even though the TEST_DEV might not even be used in
that test.

Fix it by introducing _require_test to for the test ti indicate that
it's about to use TEST_DEV.

Also add _require_test to the new script so that this requirement is a
default.

Signed-off-by: Lukas Czerner <lczerner@redhat.com>
Reviewed-by: Dave Chinner <dchinner@redhat.com>
Signed-off-by: Dave Chinner <david@fromorbit.com>
131 files changed:
check
common/rc
new
tests/btrfs/008
tests/btrfs/016
tests/btrfs/019
tests/btrfs/020
tests/btrfs/026
tests/btrfs/027
tests/btrfs/028
tests/btrfs/029
tests/btrfs/031
tests/btrfs/041
tests/btrfs/046
tests/btrfs/047
tests/btrfs/048
tests/btrfs/050
tests/btrfs/051
tests/btrfs/053
tests/btrfs/054
tests/ext4/001
tests/ext4/002
tests/generic/001
tests/generic/002
tests/generic/004
tests/generic/005
tests/generic/006
tests/generic/007
tests/generic/008
tests/generic/009
tests/generic/010
tests/generic/011
tests/generic/012
tests/generic/013
tests/generic/014
tests/generic/016
tests/generic/020
tests/generic/021
tests/generic/022
tests/generic/023
tests/generic/024
tests/generic/025
tests/generic/026
tests/generic/028
tests/generic/070
tests/generic/074
tests/generic/075
tests/generic/088
tests/generic/089
tests/generic/091
tests/generic/093
tests/generic/097
tests/generic/099
tests/generic/100
tests/generic/112
tests/generic/113
tests/generic/123
tests/generic/124
tests/generic/125
tests/generic/126
tests/generic/127
tests/generic/131
tests/generic/133
tests/generic/184
tests/generic/192
tests/generic/193
tests/generic/198
tests/generic/207
tests/generic/208
tests/generic/209
tests/generic/210
tests/generic/211
tests/generic/212
tests/generic/213
tests/generic/214
tests/generic/215
tests/generic/221
tests/generic/228
tests/generic/236
tests/generic/237
tests/generic/239
tests/generic/240
tests/generic/241
tests/generic/245
tests/generic/246
tests/generic/247
tests/generic/248
tests/generic/249
tests/generic/255
tests/generic/256
tests/generic/257
tests/generic/258
tests/generic/263
tests/generic/285
tests/generic/286
tests/generic/306
tests/generic/308
tests/generic/309
tests/generic/310
tests/generic/313
tests/generic/314
tests/generic/315
tests/generic/316
tests/generic/323
tests/shared/051
tests/shared/298
tests/xfs/003
tests/xfs/008
tests/xfs/012
tests/xfs/045
tests/xfs/048
tests/xfs/066
tests/xfs/073
tests/xfs/078
tests/xfs/080
tests/xfs/084
tests/xfs/134
tests/xfs/164
tests/xfs/165
tests/xfs/195
tests/xfs/197
tests/xfs/206
tests/xfs/222
tests/xfs/229
tests/xfs/242
tests/xfs/250
tests/xfs/252
tests/xfs/253
tests/xfs/259
tests/xfs/290
tests/xfs/292

diff --git a/check b/check
index 5b76fab..77c6559 100755 (executable)
--- a/check
+++ b/check
@@ -625,7 +625,8 @@ for section in $HOST_OPTIONS_SECTIONS; do
            then
                try="$try $seqnum"
                n_try=`expr $n_try + 1`
-               _check_test_fs
+               test -f ${RESULT_DIR}/require_test && _check_test_fs
+               rm -f ${RESULT_DIR}/require_test
                test -f ${RESULT_DIR}/require_scratch && _check_scratch_fs
                rm -f ${RESULT_DIR}/require_scratch
            fi
index be3d3ca..ce57b69 100644 (file)
--- a/common/rc
+++ b/common/rc
@@ -989,6 +989,55 @@ _require_scratch()
     touch ${RESULT_DIR}/require_scratch
 }
 
+# this test needs a test partition - check we're ok & unmount it
+#
+_require_test()
+{
+    case "$FSTYP" in
+       nfs*)
+                 _notrun "requires a test device"
+                ;;
+       tmpfs)
+               if [ -z "$TEST_DEV" -o ! -d "$TEST_DIR" ];
+               then
+                   _notrun "this test requires a valid \$TEST_DIR and unique $TEST_DEV"
+               fi
+               ;;
+       *)
+                if [ -z "$TEST_DEV" -o "`_is_block_dev $TEST_DEV`" = "" ]
+                then
+                    _notrun "this test requires a valid \$TEST_DEV"
+                fi
+                if [ "`_is_block_dev $SCRATCH_DEV`" = "`_is_block_dev $TEST_DEV`" ]
+                then
+                    _notrun "this test requires a valid \$TEST_DEV"
+                fi
+               if [ ! -d "$TEST_DIR" ]
+               then
+                    _notrun "this test requires a valid \$TEST_DIR"
+               fi
+                ;;
+    esac
+
+    # mounted?
+    if _mount | grep -q $TEST_DEV
+    then
+        # if it's mounted, make sure its on $TEST_DIR
+        if ! _mount | grep $TEST_DEV | grep -q $TEST_DIR
+        then
+            echo "\$TEST_DEV is mounted but not on \$TEST_DIR - aborting"
+            exit 1
+        fi
+    else
+       out=`_mount_or_remount_rw "$MOUNT_OPTIONS" $TEST_DEV $TEST_DIR`
+       if [ $? -ne 1 ]; then
+               echo $out
+               exit 1
+       fi
+    fi
+    touch ${RESULT_DIR}/require_test
+}
+
 # this test needs a logdev
 #
 _require_logdev()
diff --git a/new b/new
index f712892..f3e6fa1 100755 (executable)
--- a/new
+++ b/new
@@ -129,6 +129,7 @@ _cleanup()
 # Modify as appropriate.
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 # if error
 exit
index 9fa36a6..019af04 100755 (executable)
@@ -50,6 +50,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs btrfs
 _supported_os Linux
+_require_test
 _require_scratch
 
 _scratch_mkfs > /dev/null 2>&1
index d04c21a..c8fc708 100755 (executable)
@@ -49,6 +49,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs btrfs
 _supported_os Linux
+_require_test
 _require_scratch
 _require_fssum
 
index 45bba5e..452d24b 100755 (executable)
@@ -50,6 +50,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs btrfs
 _supported_os Linux
+_require_test
 _require_scratch
 
 _scratch_mkfs > /dev/null 2>&1
index 7464bd0..5a928dd 100755 (executable)
@@ -55,6 +55,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs btrfs
 _supported_os Linux
+_require_test
 
 rm -f $seqres.full
 echo "Silence is golden"
index c2ac561..7559ca2 100644 (file)
@@ -50,6 +50,7 @@ _supported_os Linux
 
 _require_xfs_io_command "fiemap"
 _require_cp_reflink
+_require_test
 
 TESTDIR1=$TEST_DIR/test-$seq
 rm -rf $TESTDIR1
index d615efd..d2b812b 100644 (file)
@@ -50,6 +50,7 @@ _supported_os Linux
 
 _require_xfs_io_command "fiemap"
 _require_cp_reflink
+_require_test
 
 TESTDIR1=$TEST_DIR/test-$seq
 rm -rf $TESTDIR1
index 50cffd3..7193337 100644 (file)
@@ -48,6 +48,7 @@ _supported_os Linux
 
 _require_xfs_io_command "fiemap"
 _require_cp_reflink
+_require_test
 
 rm -f $seqres.full
 
index 80c05e3..0b77b33 100644 (file)
@@ -52,6 +52,7 @@ _cleanup()
 _supported_fs btrfs
 _supported_os Linux
 
+_require_test
 _require_scratch
 _require_cp_reflink
 
index e158a57..bcd332c 100644 (file)
@@ -53,6 +53,7 @@ _cleanup()
 _supported_fs btrfs
 _supported_os Linux
 
+_require_test
 _require_scratch
 _require_cp_reflink
 
index b86e2f5..9639787 100755 (executable)
@@ -51,6 +51,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs btrfs
 _supported_os Linux
+_require_test
 _require_scratch
 _need_to_be_root
 
index c0d10e1..288fb7f 100644 (file)
@@ -51,6 +51,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs btrfs
 _supported_os Linux
+_require_test
 _require_scratch
 _require_fssum
 _need_to_be_root
index 8b20e79..2c50bf6 100755 (executable)
@@ -57,6 +57,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs btrfs
 _supported_os Linux
+_require_test
 _require_scratch
 _require_fssum
 _require_xfs_io_command "fiemap"
index 2a9bfc3..dc7386d 100755 (executable)
@@ -45,6 +45,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs btrfs
 _supported_os Linux
+_require_test
 _require_scratch
 _require_btrfs "property"
 _need_to_be_root
index 9079408..b72408a 100755 (executable)
@@ -51,6 +51,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs btrfs
 _supported_os Linux
+_require_test
 _require_scratch
 _require_fssum
 _need_to_be_root
index deaa765..1ddfb74 100755 (executable)
@@ -48,6 +48,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs btrfs
 _supported_os Linux
+_require_test
 _require_scratch
 _require_fssum
 _need_to_be_root
index 7eef55f..43a831c 100755 (executable)
@@ -50,6 +50,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs btrfs
 _supported_os Linux
+_require_test
 _require_scratch
 _require_fssum
 _require_attrs
index 258eead..33241b0 100755 (executable)
@@ -58,6 +58,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs btrfs
 _supported_os Linux
+_require_test
 _require_scratch
 _need_to_be_root
 
index 827d806..5409f48 100755 (executable)
@@ -46,6 +46,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 _supported_fs ext4
 _supported_os Linux
 _require_xfs_io_command "fzero"
+_require_test
 
 testfile=$TEST_DIR/001.$$
 
index 8cb3fd1..035ea7b 100755 (executable)
@@ -120,6 +120,7 @@ _check_ext4_eof_flag()
 _supported_fs ext4
 _supported_os Linux
 _require_xfs_io_command "falloc"
+_require_test
 
 # Real QA test starts here.
 rm -f $seqres.full
index 6e5f3dd..e977a01 100755 (executable)
@@ -48,6 +48,7 @@ trap "_cleanup; rm -f $tmp.*; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 verbose=true
 verify=$here/verify_fill
index 656d29f..f63b208 100755 (executable)
@@ -43,6 +43,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 echo "Silence is goodness ..."
 
index 23ca349..c7aa473 100755 (executable)
@@ -44,6 +44,7 @@ _cleanup()
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _require_xfs_io_command "flink"
 
 testfile="${TEST_DIR}/tst-tmpfile-flink"
index 544af14..d78e43f 100755 (executable)
@@ -66,6 +66,7 @@ _touch()
 
 # real QA test starts here
 _supported_fs generic
+_require_test
 
 # IRIX UDF does not support symlinks
 if [ $FSTYP == 'udf' ]; then
index 481e1f1..7a38dbf 100755 (executable)
@@ -54,6 +54,7 @@ _count()
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 mkdir $TEST_DIR/permname.$$
 
index abbee74..88cd6cc 100755 (executable)
@@ -48,6 +48,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 status=1 # default failure 
 sourcefile=$tmp.nametest
index 65e1661..9b70b28 100755 (executable)
@@ -44,6 +44,7 @@ trap "exit \$status" 0 1 2 3 15
 _supported_os Linux
 
 _require_xfs_io_command "fzero"
+_require_test
 
 testfile=$TEST_DIR/008.$$
 
index 08eafb9..7fbec34 100755 (executable)
@@ -45,6 +45,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_os Linux
 _require_xfs_io_command "fzero"
+_require_test
 
 testfile=$TEST_DIR/009.$$
 
index 9d2e76a..ea8ea50 100755 (executable)
@@ -56,6 +56,7 @@ _filter_dbtest()
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 rm -f $seqres.full
 
index bed23aa..f3c2f7c 100755 (executable)
@@ -46,6 +46,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 out=$TEST_DIR/dirstress.$$
 
index 730625b..6b1e20b 100755 (executable)
@@ -51,6 +51,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _require_xfs_io_command "fpunch"
 _require_xfs_io_command "falloc"
 _require_xfs_io_command "fiemap"
index 8e76d3d..93d9904 100755 (executable)
@@ -91,6 +91,7 @@ _do_test()
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 rm -f $seqres.full
 echo "brevity is wit..."
index a9c2638..7961961 100755 (executable)
@@ -45,6 +45,7 @@ _cleanup()
 _supported_fs generic
 _supported_os IRIX Linux
 
+_require_test
 _require_sparse_files
 
 # ensure EOF preallocation doesn't massively extend the runtime of this test
index 15a2551..b994775 100755 (executable)
@@ -51,6 +51,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _require_xfs_io_command "fpunch"
 _require_xfs_io_command "falloc"
 _require_xfs_io_command "fiemap"
index a9bd17a..49230da 100755 (executable)
@@ -76,6 +76,7 @@ _attr_list()
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _require_attrs
 
 rm -f $seqres.full
index eb88e01..4729400 100755 (executable)
@@ -51,6 +51,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _require_xfs_io_command "fpunch"
 _require_xfs_io_command "falloc"
 _require_xfs_io_command "fiemap"
index 55bf8c5..1228e51 100755 (executable)
@@ -51,6 +51,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _require_xfs_io_command "fpunch"
 _require_xfs_io_command "falloc"
 _require_xfs_io_command "fiemap"
index aaf196a..114485c 100755 (executable)
@@ -43,6 +43,7 @@ _cleanup()
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _requires_renameat2
 
 # real QA test starts here
index fa61169..8945191 100755 (executable)
@@ -43,6 +43,7 @@ _cleanup()
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _requires_renameat2
 
 rename_dir=$TEST_DIR/$$
index 251fffe..6b6c8ab 100755 (executable)
@@ -43,6 +43,7 @@ _cleanup()
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _requires_renameat2
 
 rename_dir=$TEST_DIR/$$
index 6dae966..ab75839 100755 (executable)
@@ -48,6 +48,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 _require_scratch
 _need_to_be_root
 _acl_setup_ids
index eb3c799..f181d3e 100755 (executable)
@@ -50,6 +50,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 echo "Silence is golden"
 
index f593d84..7591b25 100755 (executable)
@@ -47,6 +47,7 @@ _cleanup()
 _supported_fs generic
 _supported_os IRIX Linux
 
+_require_test
 _require_attrs
 
 FSSTRESS_ARGS=`_scale_fsstress_args \
index 668132e..df85d66 100755 (executable)
@@ -110,6 +110,7 @@ rm -f $seqres.full
 
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 #
 # set params
index af4f34b..a2411c6 100755 (executable)
@@ -123,6 +123,7 @@ _process_args()
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 size10=`expr 10 \* 1024 \* 1024`       # 10 megabytes
 filelen=$size10
index fce6489..983de98 100755 (executable)
@@ -48,6 +48,7 @@ _link_out_file $seq.out $seqfull.out
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 path=$TEST_DIR/t_access
 src/t_access_root $path | tee $seqres.full | _filter
index fdddad4..4324f83 100755 (executable)
@@ -51,6 +51,7 @@ addentries()
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 rm -f $seqres.full
 [ "X$TEST_DIR" = "X" ] && exit 1
index e7b60fe..3775016 100755 (executable)
@@ -38,6 +38,7 @@ trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 rm -f $seqres.full
 
index fe20f38..8f810a6 100755 (executable)
@@ -58,6 +58,7 @@ _filefilter()
 _supported_fs generic
 _supported_os IRIX
 
+_require_test
 _require_attrs
 
 [ -x $runas ] || _notrun "$runas executable not found"
index f40d5d5..637c73b 100755 (executable)
@@ -75,6 +75,7 @@ fi
 _supported_fs generic
 _supported_os IRIX
 
+_require_test
 _require_scratch
 _require_attrs
 
index 83097e9..b544fe2 100755 (executable)
@@ -80,6 +80,7 @@ rm -f $seqres.full
 _supported_fs generic
 _supported_os IRIX
 
+_require_test
 _acl_setup_ids
 _require_acls
 
index 00ba23e..59b8e75 100755 (executable)
@@ -44,6 +44,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 # Use _populate_fs() in common/rc to create a directory structure.
 TEMP_DIR=/tmp
index 1e34d99..b59cbfa 100755 (executable)
@@ -121,6 +121,7 @@ _process_args()
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 [ -x $here/ltp/aio-stress ] || \
        _notrun "fsx not built with AIO for this platform"
index 56672f0..7208fa2 100755 (executable)
@@ -76,6 +76,7 @@ _do_test()
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 [ -x $here/ltp/aio-stress ] || _notrun "aio-stress not built for this platform"
 
index 911e9d2..453ede4 100755 (executable)
@@ -48,6 +48,7 @@ _cleanup()
 _supported_fs generic
 _supported_os Linux IRIX
 
+_require_test
 _require_user
 
 my_test_subdir=$TEST_DIR/123subdir
index 77f6e7d..888bbc0 100755 (executable)
@@ -48,6 +48,7 @@ _cleanup()
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _require_scratch
 _scratch_mkfs >/dev/null 2>&1
 _scratch_mount
index f4ffea5..bcf9b3e 100755 (executable)
@@ -39,6 +39,7 @@ trap "exit \$status" 0 1 2 3 15
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _require_user
 
 TESTDIR=$TEST_DIR/ftrunc
index 1796527..a22d587 100755 (executable)
@@ -43,6 +43,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 QA_FS_PERMS=$here/src/fs_perms
 
index f6b7f95..94d15b2 100755 (executable)
@@ -104,6 +104,7 @@ _fsx_std_mmap()
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 _fsx_lite_nommap
 _fsx_lite_mmap
index ce3e490..b4e3ff0 100755 (executable)
@@ -44,6 +44,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 TESTFILE=$TEST_DIR/lock_file
 
index 7fb1695..f1d67aa 100755 (executable)
@@ -38,6 +38,7 @@ trap "exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux IRIX
+_require_test
 
 echo "Buffered writer, buffered reader"
 $XFS_IO_PROG -f -d -c 'pwrite -b 64k 0 512m' $TEST_DIR/io_test > /dev/null
index dcc8b4e..d7c0eb9 100755 (executable)
@@ -44,6 +44,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 rm -f $TEST_DIR/null
 mknod $TEST_DIR/null c 1 3
index 2b4e41c..f630be9 100755 (executable)
@@ -53,6 +53,7 @@ is_noatime_set() {
 
 _supported_fs generic
 _supported_os Linux
+_require_test
 #delay=150
 #delay=75
 #delay=60
index 4fa20ff..cd3c0b0 100755 (executable)
@@ -70,6 +70,7 @@ _filter_files()
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _require_user
 _need_to_be_root
 
index 5190d34..5978f54 100755 (executable)
@@ -44,6 +44,7 @@ _cleanup()
 _supported_fs generic
 _supported_os Linux
 _require_aiodio aiodio_sparse2
+_require_test
 
 echo "Silence is golden."
 
index 0709061..8f22c55 100755 (executable)
@@ -44,6 +44,7 @@ _cleanup()
 
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 _run_aiodio aio-dio-extend-stat
 
index 58d1d08..f57e2bc 100755 (executable)
@@ -44,6 +44,7 @@ _cleanup()
 
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 rm -f $seqres.full
 
index 2abafcf..aface56 100755 (executable)
@@ -44,6 +44,7 @@ _cleanup()
 
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 _run_aiodio aio-dio-invalidate-readahead
 
index ebeb137..6abd3b4 100755 (executable)
@@ -44,6 +44,7 @@ _cleanup()
 
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 _run_aiodio aio-dio-subblock-eof-read
 
index d1110f5..e0afeff 100755 (executable)
@@ -44,6 +44,7 @@ _cleanup()
 
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 _run_aiodio aio-free-ring-with-bogus-nr-pages
 
index 23ceae0..e3b2dad 100755 (executable)
@@ -45,6 +45,7 @@ _cleanup()
 
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 _run_aiodio aio-io-setup-with-nonwritable-context-pointer
 
index c99520f..609fcf1 100755 (executable)
@@ -54,6 +54,7 @@ _supported_os Linux
 
 rm -f $seqres.full
 
+_require_test
 _require_xfs_io_command "falloc"
 
 # check there's enough freespace on $TEST_DIR ... (1GiB + 1MiB)
index 444c1fe..dff267e 100755 (executable)
@@ -47,6 +47,7 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 _supported_fs generic
 # only Linux supports fallocate
 _supported_os Linux
+_require_test
 
 [ -n "$XFS_IO_PROG" ] || _notrun "xfs_io executable not found"
 
index eaae8d8..6ddd1fc 100755 (executable)
@@ -45,6 +45,7 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 testfile=$TEST_DIR/tst.mmap
 
index e7d4740..aa42f65 100755 (executable)
@@ -39,6 +39,7 @@ status=1      # failure is the default!
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 echo "Silence is golden."
 
index 7ac0872..1856dec 100755 (executable)
@@ -47,6 +47,7 @@ trap "_cleanup; exit \$status" 0 1 2 3 15 25
 _supported_fs generic
 # only Linux supports fallocate
 _supported_os Linux
+_require_test
 
 [ -n "$XFS_IO_PROG" ] || _notrun "xfs_io executable not found"
 
index 10cf71a..12ea0bc 100755 (executable)
@@ -43,6 +43,7 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 _supported_fs generic
 # only Linux supports fallocate
 _supported_os Linux
+_require_test
 
 rm -f $TEST_DIR/ouch*
 
index 6a61ec8..ff11ed3 100755 (executable)
@@ -49,6 +49,7 @@ _cleanup()
 _supported_fs generic
 # only Linux supports fallocate
 _supported_os Linux
+_require_test
 
 [ -x $runas ] || _notrun "$runas executable not found"
 
index bf39953..4f764c2 100755 (executable)
@@ -44,6 +44,7 @@ _cleanup()
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _require_sparse_files
 _require_aiodio aio-dio-hole-filling-race
 
index 74dbba6..c063dd4 100755 (executable)
@@ -50,6 +50,7 @@ _cleanup()
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _require_sparse_files
 _require_aiodio aiodio_sparse2
 
index 7c3f6e8..b45f5e9 100755 (executable)
@@ -42,6 +42,7 @@ _cleanup()
 
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 [ "$DBENCH_PROG" = "" ] && _notrun "dbench not found"
 
index 9b87fbb..4034d04 100755 (executable)
@@ -39,6 +39,7 @@ status=1      # failure is the default!
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 dir=$TEST_DIR/test-mv
 
index dd809fb..4184cfc 100755 (executable)
@@ -40,6 +40,7 @@ status=1      # failure is the default!
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 file=$TEST_DIR/mmap-writev
 
index 5f16281..c8648a2 100755 (executable)
@@ -46,6 +46,7 @@ _cleanup()
 # Modify as appropriate.
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 testfile=$TEST_DIR/$seq.$$
 
index 873313d..f47d47f 100755 (executable)
@@ -46,6 +46,7 @@ _cleanup()
 # Modify as appropriate.
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 TESTFILE=$TEST_DIR/test_file
 TEST_PROG=$here/src/pwrite_mmap_blocked
index 306e820..d8b4df4 100755 (executable)
@@ -44,6 +44,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 echo "Feel the serenity."
 
index 8419065..14de49e 100755 (executable)
@@ -46,6 +46,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 _supported_fs generic 
 _supported_os Linux
 
+_require_test
 _require_xfs_io_command "fpunch"
 _require_xfs_io_command "falloc"
 _require_xfs_io_command "fiemap"
index e6cc7dc..8ee8aac 100755 (executable)
@@ -49,6 +49,7 @@ _supported_os Linux
 _require_xfs_io_command "fpunch"
 _require_scratch
 _require_user
+_require_test
 
 testfile=$TEST_DIR/256.$$
 
index a9ce73b..64f2100 100755 (executable)
@@ -42,6 +42,7 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 mkdir $TEST_DIR/ttt
 for n in {1..168}; do
index 3aeb5ce..b9b5cf9 100755 (executable)
@@ -45,6 +45,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 TESTFILE=$TEST_DIR/timestamp-test.txt
 
index 6ecb74d..6ee2165 100755 (executable)
@@ -38,6 +38,7 @@ trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 rm -f $seqres.full
 
index ac34d34..d6275b5 100755 (executable)
@@ -40,6 +40,7 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _require_seek_data_hole
 
 BASE_TEST_FILE=$TEST_DIR/seek_sanity_testfile
index f4fe39a..94c22c6 100755 (executable)
@@ -38,6 +38,7 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _require_seek_data_hole
 
 src=$TEST_DIR/seek_copy_testfile
index 04d28df..64d8cde 100755 (executable)
@@ -47,6 +47,7 @@ _cleanup()
 _supported_fs generic
 _supported_os Linux
 _require_scratch
+_require_test
 
 DEVNULL=$SCRATCH_MNT/devnull
 DEVZERO=$SCRATCH_MNT/devzero
index 8037c08..418dbf2 100755 (executable)
@@ -44,6 +44,7 @@ testfile=$TEST_DIR/testfile.$seq
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 rm -f $seqres.full
 echo "Silence is golden"
index cbaf307..c6b89db 100755 (executable)
@@ -46,6 +46,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 echo "Silence is golden"
 
index 26d2d4a..9d46e87 100755 (executable)
@@ -57,6 +57,7 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 dmesg -c > /dev/null
 
index 623c777..a906926 100755 (executable)
@@ -45,6 +45,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs generic
 _supported_os IRIX Linux
+_require_test
 
 testfile=$TEST_DIR/testfile.$seq
 
index f430b82..294fb23 100755 (executable)
@@ -43,6 +43,7 @@ _cleanup()
 
 # real QA test starts here
 _supported_fs generic
+_require_test
 _require_acls
 _require_user
 _need_to_be_root
index 9c01b5e..62fdc01 100755 (executable)
@@ -48,6 +48,7 @@ _cleanup()
 # Modify as appropriate.
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 rm -f $seqres.full
 
index 29a4331..0ccf01f 100755 (executable)
@@ -45,6 +45,7 @@ _cleanup()
 _supported_fs generic
 _supported_os Linux
 
+_require_test
 _require_xfs_io_command "fpunch"
 _require_xfs_io_command "fiemap"
 
index b84cfc8..16b811c 100644 (file)
@@ -47,6 +47,7 @@ _cleanup()
 
 _supported_fs generic
 _supported_os Linux
+_require_test
 
 _require_aiodio aio-last-ref-held-by-io
 
index 2b61f45..44dfd64 100755 (executable)
@@ -70,6 +70,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs xfs udf
 _supported_os Linux
+_require_test
 
 [ -x $runas ] || _notrun "$runas executable not found"
 
index 8211da3..372fd02 100755 (executable)
@@ -32,6 +32,7 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 
 _supported_fs ext4 xfs
 _supported_os Linux
+_require_test
 _require_loop
 _require_fstrim
 _require_xfs_io_command "fiemap"
index 228dd17..2eed40f 100755 (executable)
@@ -40,6 +40,7 @@ _need_to_be_root
 # real QA test starts here
 _supported_fs xfs
 _supported_os IRIX Linux
+_require_test
 
 [ -f core ] && rm -f core
 [ -f core ] && echo "Warning: can't nuke existing core file!"
index 56be923..9f22087 100755 (executable)
@@ -87,6 +87,7 @@ _do_test()
 # real QA test starts here
 _supported_fs xfs
 _supported_os IRIX Linux
+_require_test
 
 rm -f $seqres.full
 
index 4127222..7b9a54d 100755 (executable)
@@ -104,6 +104,7 @@ _do_test()
 # real QA test starts here
 _supported_fs xfs
 _supported_os IRIX Linux
+_require_test
 
 rm -f $seqres.full
 
index 84ca802..31516b3 100755 (executable)
@@ -44,6 +44,7 @@ _get_existing_uuid()
 _supported_fs xfs
 _supported_os Linux
 
+_require_test
 _require_scratch
 
 echo "*** get uuid"
index f9fb16f..3dd685f 100755 (executable)
@@ -44,6 +44,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs xfs
 _supported_os IRIX Linux
+_require_test
 
 src/fault $TEST_DIR || exit
 
index db29249..736439b 100755 (executable)
@@ -45,6 +45,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs xfs
 _supported_os IRIX Linux
+_require_test
 
 _my_stat_filter()
 {
index ca553ae..f955771 100755 (executable)
@@ -126,6 +126,7 @@ _verify_copy()
 # real QA test starts here
 _supported_fs xfs
 _supported_os Linux
+_require_test
 
 [ "$USE_EXTERNAL" = yes ] && _notrun "Cannot xfs_copy with external devices"
 [ -n "$XFS_COPY_PROG" ] || _notrun "xfs_copy binary not yet installed"
index e04c6cc..f859efc 100755 (executable)
@@ -48,6 +48,7 @@ _cleanup()
 _supported_fs xfs
 _supported_os Linux
 
+_require_test
 # Must have loop device
 _require_loop
 
index 59c6104..e0f5b1b 100755 (executable)
@@ -46,6 +46,7 @@ _supported_fs xfs
 # Apparently should be able to work on IRIX,
 # but not at the moment.
 _supported_os Linux
+_require_test
 
 quiet=-q
 clean=-c
index 0d17cf3..7aa193b 100755 (executable)
@@ -51,6 +51,7 @@ pgsize=`$here/src/feature -s`
 # real QA test starts here
 _supported_fs xfs
 _supported_os IRIX Linux
+_require_test
 
 if [ $HOSTOS == "IRIX" ]; then 
     if uname -R | grep -iq debug; then 
index 6f092f2..adafa39 100755 (executable)
@@ -48,6 +48,7 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 _supported_fs xfs
 _supported_os Linux IRIX
 
+_require_test
 _require_xfs_quota
 
 dir=$SCRATCH_MNT/project
index 33a038f..404c208 100755 (executable)
@@ -67,6 +67,7 @@ _filter_bmap()
 # Modify as appropriate.
 _supported_fs xfs
 _supported_os IRIX Linux
+_require_test
 
 testfile=$TEST_DIR/file.$seq
 
index bc882da..4080a88 100755 (executable)
@@ -64,6 +64,7 @@ _filter_bmap()
 # Modify as appropriate.
 _supported_fs xfs
 _supported_os IRIX Linux
+_require_test
 
 # io tests 
 testfile=$TEST_DIR/file.$seq
index d67ce9f..6abddbc 100755 (executable)
@@ -63,6 +63,7 @@ _do_dump()
 _supported_fs xfs
 _supported_os Linux
 
+_require_test
 _require_user
 
 echo "Preparing subtree"
index bc2de9d..7706e03 100755 (executable)
@@ -48,6 +48,7 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs xfs
 _supported_os Linux
+_require_test
 
 bitsperlong=`src/feature -w`
 if [ "$bitsperlong" -ne 32 ]; then
index f739597..f6dcca6 100755 (executable)
@@ -53,6 +53,7 @@ _cleanup()
 # Modify as appropriate.
 _supported_fs xfs
 _supported_os IRIX Linux
+_require_test
 _require_loop
 
 bitsperlong=`src/feature -w`
index 0e5aaf6..77ecfc6 100755 (executable)
@@ -47,6 +47,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs xfs
 _supported_os Linux
+_require_test
 
 [ "$XFS_FSR_PROG" = "" ] && _notrun "xfs_fsr not found"
 
index 3e02421..c057677 100755 (executable)
@@ -49,6 +49,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs xfs
 _supported_os Linux
+_require_test
 
 TDIR="${TEST_DIR}/t_holes"
 NFILES="10"
index 24a572a..304e69f 100755 (executable)
@@ -45,6 +45,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs xfs
 _supported_os Linux
+_require_test
 
 _test_io_zero()
 {
index 3b67c3f..c1622a4 100755 (executable)
@@ -45,6 +45,7 @@ _cleanup()
 # real QA test starts here
 _supported_fs xfs
 _supported_os Linux
+_require_test
 _require_loop
 
 LOOP_DEV=$TEST_DIR/$seq.fs
index b2c4c08..ddafda6 100755 (executable)
@@ -46,6 +46,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 _supported_fs xfs 
 _supported_os Linux
 
+_require_test
 _require_xfs_io_command "fpunch"
 _require_xfs_io_command "fiemap"
 
index 4119794..91eb041 100755 (executable)
@@ -53,6 +53,7 @@ _cleanup()
 . ./common/rc
 . ./common/filter
 
+_require_test
 _require_scratch
 
 # real QA test starts here
index 8241d94..6587a65 100755 (executable)
@@ -41,6 +41,7 @@ trap "_cleanup ; exit \$status" 0 1 2 3 15
 # real QA test starts here
 _supported_fs xfs
 _supported_os Linux
+_require_test
 _require_loop
 _require_math
 
index 55322ec..adc398f 100755 (executable)
@@ -46,6 +46,7 @@ trap "exit \$status" 0 1 2 3 15
 _supported_fs xfs
 _supported_os Linux
 
+_require_test
 _require_xfs_io_command "zero"
 
 testfile=$TEST_DIR/290.$$
index b4a392f..a476d91 100755 (executable)
@@ -46,6 +46,7 @@ _cleanup()
 # Modify as appropriate.
 _supported_fs xfs
 _supported_os IRIX Linux
+_require_test
 
 fsfile=$TEST_DIR/fsfile.$seq